PETSc version 3.17.4
Fix/Edit manual page

# VecAXPY

Computes y = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPY(Vec y,PetscScalar alpha,Vec x)

Logically Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

| y | - output vector

### Notes

x and y MUST be different vectors This routine is optimized for alpha of 0.0, otherwise it calls the BLAS routine

       VecAXPY(y,alpha,x)                   y = alpha x           +      y

       VecAYPX(y,beta,x)                    y =       x           + beta y

       VecAXPBY(y,alpha,beta,x)             y = alpha x           + beta y

       VecWAXPY(w,alpha,x,y)                w = alpha x           +      y

       VecAXPBYPCZ(w,alpha,beta,gamma,x,y)  z = alpha x           + beta y + gamma z

       VecMAXPY(y,nv,alpha[],x[])           y = sum alpha[i] x[i] +      y

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPBYPCZ(), VecAXPBY()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/tutorials/ex1.c.html
src/vec/vec/tutorials/performance.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex20f90.F90.html
src/mat/tutorials/ex2.c.html
src/mat/tutorials/ex9.c.html
src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/tutorials/ex10.c.html

### Implementations

VecAXPY_Nest in src/vec/vec/impls/nest/vecnest.c
VecAXPY_Seq in src/vec/vec/impls/seq/bvec1.c
VecAXPY_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecAXPY_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecAXPY_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages